<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
include('config/config_warehousesafe.php');
include('config/config_chucnang.php');
if($Use_WarehouseSafe==0){
	echo "Chức năng tắt hoặc không hoạt động vui lòng liên hệ ban quản trị!"; exit();
}
$action = $_GET['action'];

switch ($action){ 
	case 'warehouse_extra':
            $getcontent_url = $server_url . "/sv_acc.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'action'    =>  'warehouse_extra',
                
                'pagesv'	=>	'sv_acc_warehousesafe',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            );
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
            
            if ( empty($reponse) ) echo "Server bảo trì.";
            elseif($reponse == "login_other") {
            	echo "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
            	session_destroy();
            }
            else {
				$reponse_split = explode('<vweb>', $reponse);
				if($reponse_split[1] == 'OK') {
					$_SESSION['acc_warehouse_safe_slot']++;
					$_SESSION['acc_gcoin'] = $reponse_split[2];
					echo "<font color=blue>Bạn đã mua thành công 1 vị trí trống cho hòm đồ an toàn.</font>";
					$reponse = '|OK|'. $_SESSION['acc_warehouse_safe_slot'] .'|';
	        	} else $reponse;
            }
	break;

    case 'warehouse_move':
        $warehouse_type = $_GET['warehouse_type'];     $warehouse_type = abs(intval($warehouse_type));
        $itemcode = $_GET['itemcode'];
        $time_gui = $_GET['time_gui'];                  $time_gui = abs(intval($time_gui));
        //$opd = $_GET['opd'];
        
		if( $sendsv === false ) { echo "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif(empty($itemcode)) {
			echo "<font color='red'>Items không được để trống .</font><br>";
		}
		elseif (!preg_match("/^[a-zA-Z0-9_]*$/i", $itemcode)){
			echo "<font color='red'>Dữ liệu lỗi - Items code chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và _.</font><br>";
		}
		elseif (strlen($itemcode) != 32){
			echo "<font color='red'>Dữ liệu lỗi - Mã item không hợp lệ.</font><br>";
		}
		elseif (!preg_match("/^[0-9]*$/i", $time_gui)){
			echo "<font color='red'>Dữ liệu lỗi - Thời gian gửi chỉ được sử dụng số 1-9.</font>";
		}
		elseif($warehouse_type == 0 && $_SESSION['acc_warehouse_safe_item'] >= $_SESSION['acc_warehouse_safe_slot']) {
            echo "<font color='red'>Rương đồ An toàn đã đầy. Không thể cất thêm.</font>";
        } 
		else {
			
            $getcontent_url = $server_url . "/sv_acc.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'action'    =>  'warehouse_move',
                'warehouse_type'    =>  $warehouse_type,
                'itemcode'    =>  $itemcode,
                'time_gui'    =>  $time_gui,
                //'opd'    =>  $opd,
                
                'pagesv'    =>  'sv_acc_warehousesafe',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            );
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
        
        	if ( empty($reponse) ) $error_module = "Server bảo trì.";
        	elseif($reponse == "login_other") {
        		$error_module = "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
        		session_destroy();
        	}
        	else {
        		$reponse_split = explode('|', $reponse);
                if($reponse_split[1] == 'OK') {
                    if($warehouse_type == 0) {
                        $_SESSION['acc_warehouse_safe_item']++;
                    } else {
                        $_SESSION['acc_warehouse_safe_item']--;
                    }
                    
                    $warehouse_safe_slot_empty = $_SESSION['acc_warehouse_safe_slot'] - $_SESSION['acc_warehouse_safe_item'];
                    
                    $reponse .= $_SESSION['acc_warehouse_safe_item'] .'|'. $warehouse_safe_slot_empty .'|';
                }
                
                echo $reponse;
        	}
        }
            
    break;
    
}

?>